;
;　＜モノクロロジックの書式＞
;　その行の１文字目に ; があればコメントを書くことが出来ます。
;　１文字目に * があれば命令を実行します。
;
;　＜必須命令＞
;  *M メッセージを表示する。              *m *M と同じ。
;  *Y 横のデータの行数。
;  *T 縦のデータの行数。
;  *y 横のデータ。
;  *t 縦のデータ。
;
;　＜省略可能命令＞ １３年前は使っていたが、m24.cは使わない
;  *S どれだけ詳しく調べるか。            *s *S と同じ。
;  *R トレース（値の動き）を見る。        *r *R と同じ。
;  *K 調べるデータによってスキップする。  *k *K と同じ。
;  *L *Kの例外処置でスキップさせない。    *l *L と同じ。
;  *D 計算時間の表示の設定。              *d *D と同じ。
;
;　命令 *Y,*T,*y,*t,   & { *S(*s),*R(*r),*K(*k),*L(*l),*D(d) }
;  のあとの数字はくっつけて書いてください。
;
;　例えば、*Y40 ならば、横のデータの行数が40ということです。
;  *t052  3,4,8,2 ならば、縦のデータの52番目に3,4,8,2というデータ
;　がはいっているということです。
;
;　一行で書ききれない場合は改行せずに、スペースをあけて複数行に
;　またいでください。
;
;　このファイル名が、例えば test.mno だとしたら、
;　$ ./m24 test.mno （リターン）と打ってください。
;　$ ./m24 test     （リターン）でもかまいません。
;
;　ファイラーを使った方が便利だと思います。
;
;  <*S>　詳細モード（省略時　*S6）
;  *S (*s) のあとの数字は、0 から 9 までにしてください。
;
;  *S0 とても詳しく調べる。（マシンが非力だと時間がかかる。）
;  *S1       詳しく調べる。（同上）
;  ...
;  *S6 記述するのを忘れた場合、これになる。（デフォルト）
;  ...
;  *S8 あまり詳しく調べない。（マシンが非力で結果がはやく
;　知りたいときに使う）
;  *S9 本当に詳しく調べない。（同上）
;
;  <*R>　トレースモード（省略時　*R0）
;  <*K>　スキップモード　（省略時　*K50）
;  <*L>  スキップの例外処置　ラージレングスモード　（省略時  *L220）
;  <*D>　時間表示の更新モード＜ｓｐｅｅＤ＞　（省略時　*D2）
;
; *S *R *K *L *D のコマンドは今は使っていません
;
;　例：鹿
;
;　データ参考図
;
;                3 1       1
;          1 2 3 1 1 2   4 1 2
;          2 2 1 1 4 4 8 2 2 2
;       -----------------------
;  2 2 2 : Q Q , Q Q , , Q Q ,
;  3 1 1 : , Q Q Q , , , Q , Q
;      8 : , , Q Q Q Q Q Q Q Q
;    1 3 : , , Q , , Q Q Q , ,
;  2 1 1 : Q Q , Q , , Q , , ,
;    2 1 : Q Q , , , , Q , , ,
;      5 : , , Q Q Q Q Q , , ,
;      3 : , , , , Q Q Q , , ,
;      6 : , , , , Q Q Q Q Q Q
;      6 : , , , , Q Q Q Q Q Q
;
;　このデーターは左のデーターは *y001、上のデーターは *t001
;  から打っていきます
;;
;*M シカ：２．７秒  	; bmmのエディターは、
;*Y10			             ;
;*T10			             ;　０〜９の数字を扱い、
;;		                ;　数字と数字の区切りは、「.」か「,」
;*y001 2,2,2	      ;　BSでバックスペース、DELで文字削除
;*y002 3,1,1	    ;　1*6で1.1.1.1.1.1 (１を６回繰り返す)　
;*y003 8	       ;　2*4で2.2.2.2 (２を４回繰り返す)
;*y004 1,3	    ;　方向キーでカーソル移動
;*y005 2,1,1	  ;　SHIFT+方向キー、CTRL+方向キーでもカーソル移動
;*y006 2,1	    ;　CTRL+W　保存せずに終了
;*y007 5	      ;　CTRL+X　保存して終了
;*y008 3	      ;　CTRL+V　保存してエディターはそのまま
;*y009 6	      ;　CTRL+D　行削除
;*y010 6	      ;　CTRL+I　行挿入
;;		           ;　CTRL+C　行コピー
;*t001 1,2	    ;　CTRL+P　行ペースト
;*t002 2,2	    ;　ーキーでカーソル上へ
;*t003 3,1	    ;　＋キーでカーソル下へ
;*t004 3,1,1	  ;　CTRL+T　*T25 *Y25などを*T30 *Y35にサイズ変更、TとYのあとの数字を書き換えてCTRL+Tを実行する
;*t005 1,1,4	  ;　ファンクションF2:"black="黒  F3:"red="赤 
;*t006 2,4	    ;　F4:"green="緑　F5:"blue="青　F6:"yellow="黄色
;*t007 8	      ;　F7:"violet="紫 F8:"water="水色 F9:"orange="橙
;*t008 4,2	    ;　SHIFT+F2:"cha="茶色　SFT+F3:"pink="桃色
;*t009 1,1,2	  ;　SFT+F4:"hada="肌色　SFT+F5:"kimi="黄緑
;*t010 2,2	    ;　SFT+F6:"oudo="黄土色 SFT+F7:"kon="紺色
;;		           ;　SFT+F9:"hai="灰色
;
;　カラーのときは(test.clなど)
;　*y001 black=7,2,red=3,green=1　というふうに打っていきます
;
;
;
;
;  ↓ここから本番です
;
*M 紅の豚
*Y50
*T45
*S3
;
*y001 blue=15.pink=15.blue=15
*y002 blue=12.pink=9.black=7.pink=3.blue=11
*y003 blue=10.pink=10.black=9.pink=4.blue=7
*y004 blue=6.pink=10.black=15.blue=5
*y005 blue=3.pink=10.black=13.pink=3.blue=3
*y006 blue=2.pink=2.black=22.pink=4.blue=2
*y007 blue=2.pink=2.black=7.pink=4.black=11.pink=6.blue=3
*y008 blue=3.black=10.pink=5.black=9.pink=8.blue=4
*y009 blue=4.black=11.pink=5.9.blue=7
*y010 blue=4.black=10.pink=24.blue=6
*y011 blue=4.black=8.pink=25.blue=6
*y012 blue=4.black=5.pink=26.black=1.pink=2.blue=4
*y013 blue=5.pink=7.hada=15.pink=7.black=1.pink=3.blue=3
*y014 blue=5.pink=8.hada=12.black=4.hada=5.pink=4.black=1.pink=4.blue=2
*y015 blue=5.pink=5.hada=14.black=6.hada=2.black=3.pink=3.black=1.pink=4.blue=2
*y016 blue=5.pink=3.hada=3.black=3.hada=10.black=4.3.hada=3.pink=3.black=1.pink=4.blue=2
*y017 blue=4.pink=3.hada=3.black=5.hada=1.black=3.hada=3.black=6.1.hada=6.pink=3.black=1.pink=3.blue=2
*y018 blue=3.pink=4.black=6.2.hada=2.black=5.hada=2.black=4.hada=3.black=2.hada=2.pink=3.black=1.pink=2.blue=3
*y019 blue=3.pink=4.hada=3.black=3.1.hada=1.black=2.hada=5.black=2.hada=12.pink=3.black=1.blue=4
*y020 blue=3.pink=4.hada=4.black=3.hada=1.black=2.hada=1.black=1.hada=3.black=1.hada=1.black=2.hada=11.pink=4.blue=4
*y021 blue=3.pink=4.hada=8.black=1.hada=1.black=2.hada=3.black=2.hada=1.black=2.hada=4.black=1.hada=6.pink=3.blue=4
*y022 blue=3.pink=4.hada=7.black=2.hada=10.black=4.hada=1.black=1.hada=6.pink=3.blue=4
*y023 blue=3.pink=3.hada=8.black=1.hada=5.black=12.hada=6.pink=3.blue=4
*y024 blue=4.pink=1.hada=4.black=1.hada=1.black=9.hada=7.black=4.hada=7.pink=7
*y025 blue=4.pink=1.hada=4.black=8.hada=8.black=1.hada=12.pink=3
*y026 blue=4.pink=1.hada=5.black=6.hada=2.black=8.hada=11.pink=2.1
*y027 blue=4.pink=1.hada=31.pink=2.2
*y028 blue=4.pink=2.hada=14.black=3.hada=11.pink=3.1
*y029 blue=5.pink=2.hada=24.pink=4.3
*y030 blue=5.pink=1.2.hada=19.pink=4.4
*y031 blue=5.pink=1.4.hada=14.pink=3.3.2.cha=3
*y032 blue=4.pink=2.4.hada=9.pink=3.4.2.cha=4
*y033 blue=4.pink=1.2.11.3.5.cha=4
*y034 blue=3.pink=2.3.4.4.cha=1.pink=2.cha=5
*y035 blue=1.pink=2.cha=1.pink=1.9.4.cha=3.pink=1.cha=6
*y036 pink=2.cha=2.pink=3.3.cha=5.pink=2.cha=6
*y037 pink=1.cha=5.pink=3.3.cha=7.pink=1.cha=7
*y038 cha=7.pink=1.cha=1.pink=4.13.cha=7
*y039 cha=7.pink=1.cha=4.pink=4.3.cha=19
*y040 cha=7.pink=7.cha=1.pink=9.cha=21
*y041 cha=20.pink=1.cha=24
*y042 cha=20.pink=1.cha=10.pink=12.cha=2
*y043 cha=20.pink=1.cha=10.pink=1.cha=10.pink=1.cha=2
*y044 cha=2.pink=12.cha=6.pink=1.cha=10.pink=1.cha=4.pink=2.cha=4.pink=1.cha=2
*y045 cha=2.pink=1.cha=10.pink=1.cha=6.pink=1.cha=10.pink=1.cha=4.pink=2.cha=4.pink=1.cha=2
*y046 cha=2.pink=1.cha=4.pink=2.cha=4.pink=1.cha=6.pink=1.cha=10.pink=3.cha=6.pink=3.cha=2
*y047 cha=2.pink=1.cha=4.pink=2.cha=4.pink=1.cha=6.pink=1.cha=10.pink=1.cha=1.pink=8.cha=1.pink=1.cha=2
*y048 cha=2.pink=3.cha=6.pink=3.cha=6.pink=1.cha=10.pink=1.cha=10.pink=1.cha=2
*y049 cha=2.pink=1.cha=1.pink=8.cha=1.pink=1.cha=6.pink=1.cha=10.pink=1.cha=10.pink=1.cha=2
*y050 cha=2.pink=1.cha=10.pink=1.cha=6.pink=1.cha=10.pink=1.cha=10.pink=1.cha=2
;
*t001 blue=3.27.pink=2.cha=13
*t002 blue=3.26.pink=2.cha=14
*t003 blue=3.27.pink=1.cha=8.pink=7
*t004 blue=4.10.pink=6.blue=10.pink=1.cha=9.pink=1.cha=3.pink=1.cha=2
*t005 blue=4.2.black=4.blue=4.pink=12.blue=3.pink=5.cha=7.pink=1.cha=3.pink=2.cha=1
*t006 blue=7.black=5.pink=10.hada=4.pink=5.1.cha=7.pink=1.cha=4.pink=1.cha=1
*t007 blue=6.pink=1.black=5.pink=9.hada=6.pink=1.2.cha=6.pink=1.cha=4.pink=1.cha=1
*t008 blue=5.pink=2.black=5.pink=3.hada=1.black=1.hada=11.pink=1.1.4.cha=3.pink=1.cha=1.pink=2.cha=1.pink=1.cha=1
*t009 blue=4.pink=2.black=6.pink=2.hada=2.black=1.hada=11.pink=2.2.1.cha=2.pink=1.cha=3.pink=1.cha=1.pink=2.cha=1.pink=1.cha=1
*t010 blue=3.pink=2.black=6.pink=3.hada=2.black=1.hada=5.black=2.hada=5.pink=1.1.1.cha=1.pink=1.cha=3.pink=1.cha=4.pink=1.cha=1
*t011 blue=2.pink=3.black=6.pink=2.hada=2.black=3.hada=5.black=2.hada=4.pink=1.1.1.cha=1.pink=1.cha=3.pink=1.cha=4.pink=1.cha=1
*t012 blue=2.pink=3.black=6.pink=2.hada=1.black=5.hada=3.black=3.hada=4.pink=2.1.cha=1.pink=1.cha=3.pink=1.cha=3.pink=2.cha=1
*t013 blue=1.pink=4.black=5.pink=3.hada=1.black=5.hada=3.black=3.hada=5.pink=1.3.cha=3.pink=1.cha=3.pink=1.cha=2
*t014 blue=1.pink=4.black=5.pink=2.hada=2.black=2.1.hada=3.black=3.hada=5.pink=1.2.cha=3.pink=7
*t015 blue=1.pink=4.black=4.pink=3.hada=3.black=3.hada=2.black=5.hada=5.pink=2.1.cha=11
*t016 pink=5.black=1.pink=7.hada=4.black=1.hada=1.black=3.hada=1.black=3.hada=6.pink=1.2.cha=10
*t017 pink=5.black=1.pink=6.hada=4.black=1.hada=1.black=2.hada=3.black=2.hada=7.pink=1.1.cha=10
*t018 pink=5.black=1.pink=6.hada=4.black=1.hada=1.black=1.hada=1.black=1.hada=2.black=1.hada=8.pink=1.1.1.cha=10
*t019 pink=4.black=2.pink=6.hada=4.black=2.hada=1.black=2.hada=2.black=1.hada=1.black=1.hada=6.pink=1.1.1.cha=10
*t020 pink=3.black=4.pink=5.hada=5.black=1.hada=5.black=1.hada=1.black=1.hada=6.pink=1.1.1.cha=10
*t021 pink=2.black=6.pink=3.hada=5.black=1.hada=4.black=1.hada=2.black=1.hada=1.black=1.hada=4.pink=1.1.11
*t022 pink=1.black=7.pink=3.hada=5.black=1.hada=4.black=1.hada=2.black=1.hada=1.black=1.hada=4.pink=1.1.1.cha=10
*t023 pink=1.black=7.pink=3.hada=4.black=2.hada=1.black=2.hada=1.black=1.hada=2.black=1.hada=1.black=1.hada=4.pink=1.1.1.cha=10
*t024 pink=1.black=7.pink=3.hada=4.black=1.hada=1.black=1.hada=1.black=1.hada=1.black=1.hada=2.black=1.hada=6.pink=1.1.2.cha=10
*t025 pink=1.black=7.pink=3.hada=2.black=3.hada=1.black=2.hada=2.black=1.hada=2.black=1.hada=5.pink=2.1.1.cha=11
*t026 pink=1.black=7.pink=3.hada=1.black=5.hada=1.black=2.hada=1.black=1.hada=1.black=2.hada=5.pink=1.2.2.cha=11
*t027 pink=1.black=7.pink=3.hada=1.black=5.hada=2.black=3.hada=7.pink=2.1.1.cha=12
*t028 pink=1.black=7.pink=3.hada=1.black=5.hada=3.black=3.hada=6.pink=1.1.2.cha=12
*t029 pink=2.black=6.pink=3.hada=1.black=2.1.hada=3.black=3.hada=5.pink=2.2.2.cha=12
*t030 pink=3.black=4.pink=4.hada=2.black=3.hada=4.black=3.hada=5.pink=1.1.3.cha=12
*t031 blue=1.pink=2.black=3.pink=5.hada=3.black=1.hada=6.black=2.hada=5.pink=1.2.1.cha=1.pink=1.cha=12
*t032 blue=2.pink=1.black=1.pink=7.hada=2.black=1.hada=4.black=3.hada=5.pink=2.1.2.cha=1.pink=1.cha=3.pink=9
*t033 blue=2.pink=1.black=1.pink=9.hada=1.black=1.hada=2.black=1.hada=10.pink=1.1.1.cha=2.pink=1.cha=3.pink=1.cha=3.pink=1.cha=4
*t034 blue=3.black=1.pink=9.hada=1.black=1.hada=2.black=1.hada=10.pink=1.2.2.cha=2.pink=1.cha=3.pink=1.cha=3.pink=2.cha=3
*t035 blue=4.pink=10.black=1.hada=12.pink=2.1.2.cha=2.pink=1.cha=3.pink=1.cha=4.pink=1.cha=3
*t036 blue=5.pink=11.hada=11.pink=1.1.1.cha=3.pink=1.cha=3.pink=1.cha=4.pink=1.cha=3
*t037 blue=6.pink=12.hada=8.pink=2.2.cha=3.pink=1.cha=3.pink=1.cha=1.pink=2.cha=1.pink=1.cha=3
*t038 blue=7.pink=13.hada=5.pink=2.1.cha=2.pink=3.cha=3.pink=1.cha=1.pink=2.cha=1.pink=1.cha=3
*t039 blue=4.3.pink=2.black=5.pink=10.4.cha=5.pink=1.cha=4.pink=1.cha=3
*t040 blue=3.5.pink=5.black=2.pink=7.3.cha=7.pink=1.cha=4.pink=1.cha=3
*t041 blue=2.4.pink=7.black=1.pink=8.3.cha=8.pink=1.cha=3.pink=2.cha=3
*t042 blue=2.5.pink=6.blue=5.pink=1.5.cha=10.pink=1.cha=3.pink=1.cha=4
*t043 blue=1.5.pink=4.blue=6.pink=1.2.cha=11.pink=9
*t044 blue=1.15.pink=1.2.cha=20
*t045 blue=1.15.pink=1.1.cha=20
;
