;
;　＜モノクロロジックの書式＞
;　その行の１文字目に ; があればコメントを書くことが出来ます。
;　１文字目に * があれば命令を実行します。
;
;　＜必須命令＞
;  *M メッセージを表示する。              *m *M と同じ。
;  *Y 横のデータの行数。
;  *T 縦のデータの行数。
;  *y 横のデータ。
;  *t 縦のデータ。
;
;　＜省略可能命令＞ １３年前は使っていたが、m24.cは使わない
;  *S どれだけ詳しく調べるか。            *s *S と同じ。
;  *R トレース（値の動き）を見る。        *r *R と同じ。
;  *K 調べるデータによってスキップする。  *k *K と同じ。
;  *L *Kの例外処置でスキップさせない。    *l *L と同じ。
;  *D 計算時間の表示の設定。              *d *D と同じ。
;
;　命令 *Y,*T,*y,*t,   & { *S(*s),*R(*r),*K(*k),*L(*l),*D(d) }
;  のあとの数字はくっつけて書いてください。
;
;　例えば、*Y40 ならば、横のデータの行数が40ということです。
;  *t052  3,4,8,2 ならば、縦のデータの52番目に3,4,8,2というデータ
;　がはいっているということです。
;
;　一行で書ききれない場合は改行せずに、スペースをあけて複数行に
;　またいでください。
;
;　このファイル名が、例えば test.mno だとしたら、
;　$ ./m24 test.mno （リターン）と打ってください。
;　$ ./m24 test     （リターン）でもかまいません。
;
;　ファイラーを使った方が便利だと思います。
;
;  <*S>　詳細モード（省略時　*S6）
;  *S (*s) のあとの数字は、0 から 9 までにしてください。
;
;  *S0 とても詳しく調べる。（マシンが非力だと時間がかかる。）
;  *S1       詳しく調べる。（同上）
;  ...
;  *S6 記述するのを忘れた場合、これになる。（デフォルト）
;  ...
;  *S8 あまり詳しく調べない。（マシンが非力で結果がはやく
;　知りたいときに使う）
;  *S9 本当に詳しく調べない。（同上）
;
;  <*R>　トレースモード（省略時　*R0）
;  <*K>　スキップモード　（省略時　*K50）
;  <*L>  スキップの例外処置　ラージレングスモード　（省略時  *L220）
;  <*D>　時間表示の更新モード＜ｓｐｅｅＤ＞　（省略時　*D2）
;
; *S *R *K *L *D のコマンドは今は使っていません
;
;　例：鹿
;
;　データ参考図
;
;                3 1       1
;          1 2 3 1 1 2   4 1 2
;          2 2 1 1 4 4 8 2 2 2
;       -----------------------
;  2 2 2 : Q Q , Q Q , , Q Q ,
;  3 1 1 : , Q Q Q , , , Q , Q
;      8 : , , Q Q Q Q Q Q Q Q
;    1 3 : , , Q , , Q Q Q , ,
;  2 1 1 : Q Q , Q , , Q , , ,
;    2 1 : Q Q , , , , Q , , ,
;      5 : , , Q Q Q Q Q , , ,
;      3 : , , , , Q Q Q , , ,
;      6 : , , , , Q Q Q Q Q Q
;      6 : , , , , Q Q Q Q Q Q
;
;　このデーターは左のデーターは *y001、上のデーターは *t001
;  から打っていきます
;;
;*M シカ：２．７秒  	; bmmのエディターは、
;*Y10			             ;
;*T10			             ;　０〜９の数字を扱い、
;;		                ;　数字と数字の区切りは、「.」か「,」
;*y001 2,2,2	      ;　BSでバックスペース、DELで文字削除
;*y002 3,1,1	    ;　1*6で1.1.1.1.1.1 (１を６回繰り返す)　
;*y003 8	       ;　2*4で2.2.2.2 (２を４回繰り返す)
;*y004 1,3	    ;　方向キーでカーソル移動
;*y005 2,1,1	  ;　SHIFT+方向キー、CTRL+方向キーでもカーソル移動
;*y006 2,1	    ;　CTRL+W　保存せずに終了
;*y007 5	      ;　CTRL+X　保存して終了
;*y008 3	      ;　CTRL+V　保存してエディターはそのまま
;*y009 6	      ;　CTRL+D　行削除
;*y010 6	      ;　CTRL+I　行挿入
;;		           ;　CTRL+C　行コピー
;*t001 1,2	    ;　CTRL+P　行ペースト
;*t002 2,2	    ;　ーキーでカーソル上へ
;*t003 3,1	    ;　＋キーでカーソル下へ
;*t004 3,1,1	  ;　CTRL+T　*T25 *Y25などを*T30 *Y35にサイズ変更、TとYのあとの数字を書き換えてCTRL+Tを実行する
;*t005 1,1,4	  ;　ファンクションF2:"black="黒  F3:"red="赤 
;*t006 2,4	    ;　F4:"green="緑　F5:"blue="青　F6:"yellow="黄色
;*t007 8	      ;　F7:"violet="紫 F8:"water="水色 F9:"orange="橙
;*t008 4,2	    ;　SHIFT+F2:"cha="茶色　SFT+F3:"pink="桃色
;*t009 1,1,2	  ;　SFT+F4:"hada="肌色　SFT+F5:"kimi="黄緑
;*t010 2,2	    ;　SFT+F6:"oudo="黄土色 SFT+F7:"kon="紺色
;;		           ;　SFT+F9:"hai="灰色
;
;　カラーのときは(test.clなど)
;　*y001 black=7,2,red=3,green=1　というふうに打っていきます
;
;
;
;
;  ↓ここから本番です
;
*M 色見本2
*Y30
*T30
*S3
*D30
;
*y001 black=15,red=15
*y002 black=15,red=15
*y003 black=15,red=15
*y004 green=15,blue=15
*y005 green=15,blue=15
*y006 green=15,blue=15
*y007 yellow=15,violet=15
*y008 yellow=15,violet=15
*y009 yellow=15,violet=15
*y010 water=15,orange=15
*y011 water=15,orange=15
*y012 water=15,orange=15
*y013 cha=15,pink=15
*y014 cha=15,pink=15
*y015 cha=15,pink=15
*y016 hada=15,kimi=15
*y017 hada=15,kimi=15
*y018 hada=15,kimi=15
*y019 oudo=15,kon=15
*y020 oudo=15,kon=15
*y021 oudo=15,kon=15
*y022 hai=21
*y023 hai=21
*y024 hai=21
*y025 hai=21
*y026 hai=21
*y027 hai=21
*y028 hai=21
*y029 hai=21
*y030 hai=21
;
*t001 black=3,green=3,yellow=3,water=3,cha=3,hada=3,oudo=3,hai=9
*t002 black=3,green=3,yellow=3,water=3,cha=3,hada=3,oudo=3,hai=9
*t003 black=3,green=3,yellow=3,water=3,cha=3,hada=3,oudo=3,hai=9
*t004 black=3,green=3,yellow=3,water=3,cha=3,hada=3,oudo=3,hai=9
*t005 black=3,green=3,yellow=3,water=3,cha=3,hada=3,oudo=3,hai=9
*t006 black=3,green=3,yellow=3,water=3,cha=3,hada=3,oudo=3,hai=9
*t007 black=3,green=3,yellow=3,water=3,cha=3,hada=3,oudo=3,hai=9
*t008 black=3,green=3,yellow=3,water=3,cha=3,hada=3,oudo=3,hai=9
*t009 black=3,green=3,yellow=3,water=3,cha=3,hada=3,oudo=3,hai=9
*t010 black=3,green=3,yellow=3,water=3,cha=3,hada=3,oudo=3,hai=9
*t011 black=3,green=3,yellow=3,water=3,cha=3,hada=3,oudo=3,hai=9
*t012 black=3,green=3,yellow=3,water=3,cha=3,hada=3,oudo=3,hai=9
*t013 black=3,green=3,yellow=3,water=3,cha=3,hada=3,oudo=3,hai=9
*t014 black=3,green=3,yellow=3,water=3,cha=3,hada=3,oudo=3,hai=9
*t015 black=3,green=3,yellow=3,water=3,cha=3,hada=3,oudo=3,hai=9
*t016 red=3,blue=3,violet=3,orange=3,pink=3,kimi=3,kon=3,hai=9
*t017 red=3,blue=3,violet=3,orange=3,pink=3,kimi=3,kon=3,hai=9
*t018 red=3,blue=3,violet=3,orange=3,pink=3,kimi=3,kon=3,hai=9
*t019 red=3,blue=3,violet=3,orange=3,pink=3,kimi=3,kon=3,hai=9
*t020 red=3,blue=3,violet=3,orange=3,pink=3,kimi=3,kon=3,hai=9
*t021 red=3,blue=3,violet=3,orange=3,pink=3,kimi=3,kon=3,hai=9
*t022 red=3,blue=3,violet=3,orange=3,pink=3,kimi=3,kon=3
*t023 red=3,blue=3,violet=3,orange=3,pink=3,kimi=3,kon=3
*t024 red=3,blue=3,violet=3,orange=3,pink=3,kimi=3,kon=3
*t025 red=3,blue=3,violet=3,orange=3,pink=3,kimi=3,kon=3
*t026 red=3,blue=3,violet=3,orange=3,pink=3,kimi=3,kon=3
*t027 red=3,blue=3,violet=3,orange=3,pink=3,kimi=3,kon=3
*t028 red=3,blue=3,violet=3,orange=3,pink=3,kimi=3,kon=3
*t029 red=3,blue=3,violet=3,orange=3,pink=3,kimi=3,kon=3
*t030 red=3,blue=3,violet=3,orange=3,pink=3,kimi=3,kon=3
;
